Subject: Re: MPC8272ADS stability issues

From: Vitaly Bordug <[email-masked]>
Date: Fri, 25 Nov 2005 18:51:25 +0300

Alex Zeffertt wrote:
> Hi all,
> 
> I have a question that is a bit off topic here, but you seem the most
> knowledgable people to ask so please don't flame me... :)
> 
> I am using an MPC8272ADS development board.  I was wondering if
> anybody on this list experienced hardware reliability problems with
> this platform.
> 
> I am running ELDK 3.1.1.  I have seen the kernel hang several times,
> and a Oops a few times too.  The reason I suspect that this is a
> hardware problem is that these seem to happen at completely random
> times, and the Oopses, in random places.  It doesn't seem to make
> any difference whether I have any of my own modules loaded or not, and
> I've even seen these problems occur in the bootloader.
> 
> I'm hoping for an answer along the lines of "Ah, you must have the
> 'fail randomly' dip switch set!"
> 
Unfortunately, low stability occasionally follows this boards. I have the same symptoms, 
and it is relative to something wrong with memory.

The mtest utility run in U-Boot will follow to crash or hang sooner or later. Hence its 
either broken memory or some hidden setting (probably undocumented) that the bootloader 
forgot to tweak in the time of memory controller init.

That question has been forwarded to FS, but still no response from them in this regard.

All I can suggest is to replace the board if it crashes more frequently than 
debug/development could proceed.
> TIA,
> 
> Alex
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
Sincerely,
Vitaly